---
title: "Historical contract: Find Site"
description: "Historical Ordering.co API contract for GET /sites/{site_id} (Find Site), kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/find-site/
---

# Historical contract: Find Site

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Find Site

This API endpoint is used to obtain a specific site.

## Current API

For new integrations, use the linked current API reference or guide.

[Read the current guide](https://docs.ordering.co/api-reference/guides/sites-model/)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string",
      "default": "name,code"
    }
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"id\": 1,\n    \"name\": \"<redacted-personal>\",\n    \"description\": null,\n    \"code\": \"website\",\n    \"url\": \"https://example.com/\",\n    \"logo\": \"<redacted-url>\",\n    \"header\": \"\",\n    \"social_share\": \"\",\n    \"reset_password_url_template\": \"<redacted-secret>\",\n    \"track_order_url_template\": null,\n    \"checkout_url_template\": null,\n    \"cart_url_template\": null,\n    \"business_url_template\": null,\n    \"category_url_template\": null,\n    \"product_url_template\": null,\n    \"profile_url_template\": null,\n    \"created_at\": null,\n    \"updated_at\": null,\n    \"deleted_at\": null\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "name": {
                  "type": "string",
                  "example": "<redacted-personal>"
                },
                "description": {},
                "code": {
                  "type": "string",
                  "example": "website"
                },
                "url": {
                  "type": "string",
                  "example": "https://example.com/"
                },
                "logo": {
                  "type": "string",
                  "example": "<redacted-url>"
                },
                "header": {
                  "type": "string",
                  "example": ""
                },
                "social_share": {
                  "type": "string",
                  "example": ""
                },
                "reset_password_url_template": {
                  "type": "string",
                  "example": "<redacted-secret>"
                },
                "track_order_url_template": {},
                "checkout_url_template": {},
                "cart_url_template": {},
                "business_url_template": {},
                "category_url_template": {},
                "product_url_template": {},
                "profile_url_template": {},
                "created_at": {},
                "updated_at": {},
                "deleted_at": {}
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
